# CvDTreeNode Struct Reference

`#include <ml.hpp>`

List of all members.

## Public Member Functions

int | get_num_valid (int vi)
void | set_num_valid (int vi, int n)

## Public Attributes

double | alpha
int | buf_idx
int | class_idx
int | complexity
double * | cv_node_error
double * | cv_node_risk
int * | cv_Tn
int | depth
CvDTreeNode * | left
double | maxlr
double | node_risk
int * | num_valid
int | offset
CvDTreeNode * | parent
CvDTreeNode * | right
int | sample_count
CvDTreeSplit * | split
int | Tn
double | tree_error
double | tree_risk
double | value

## Member Function Documentation

int CvDTreeNode::get_num_valid | ( | int | vi ) | `[inline]`

void CvDTreeNode::set_num_valid | ( | int | vi,
|  | int | n
| ) |  | `[inline]`

## Member Data Documentation

double CvDTreeNode::alpha

int CvDTreeNode::buf_idx

int CvDTreeNode::class_idx

int CvDTreeNode::complexity

double* CvDTreeNode::cv_node_error

double* CvDTreeNode::cv_node_risk

int* CvDTreeNode::cv_Tn

int CvDTreeNode::depth

CvDTreeNode* CvDTreeNode::left

double CvDTreeNode::maxlr

double CvDTreeNode::node_risk

int* CvDTreeNode::num_valid

int CvDTreeNode::offset

CvDTreeNode* CvDTreeNode::parent

CvDTreeNode* CvDTreeNode::right

int CvDTreeNode::sample_count

CvDTreeSplit* CvDTreeNode::split

int CvDTreeNode::Tn

double CvDTreeNode::tree_error

double CvDTreeNode::tree_risk

double CvDTreeNode::value

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines